<!DOCTYPE html>
<html lang="en">
 <head>
  <meta charset="UTF-8">
  <title>Dashboard for /Users/d3vg0d355/Desktop/Cobalt/confident-laravel/app/Http</title>
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link href="../_css/bootstrap.min.css" rel="stylesheet" type="text/css">
  <link href="../_css/nv.d3.min.css" rel="stylesheet" type="text/css">
  <link href="../_css/style.css" rel="stylesheet" type="text/css">
  <link href="../_css/custom.css" rel="stylesheet" type="text/css">
 </head>
 <body>
  <header>
   <div class="container-fluid">
    <div class="row">
     <div class="col-md-12">
      <nav aria-label="breadcrumb">
       <ol class="breadcrumb">
         <li class="breadcrumb-item"><a href="../index.html">/Users/d3vg0d355/Desktop/Cobalt/confident-laravel/app</a></li>
         <li class="breadcrumb-item"><a href="index.html">Http</a></li>
         <li class="breadcrumb-item active">(Dashboard)</li>

       </ol>
      </nav>
     </div>
    </div>
   </div>
  </header>
  <div class="container-fluid">
   <div class="row">
    <div class="col-md-12">
     <h2>Classes</h2>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Coverage Distribution</h3>
     <div id="classCoverageDistribution" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Complexity</h3>
     <div id="classComplexity" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Insufficient Coverage</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Class</th>
         <th class="text-right">Coverage</th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="Controllers/AddOnController.php.html#9">App\Http\Controllers\AddOnController</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/Auth/ForgotPasswordController.php.html#8">App\Http\Controllers\Auth\ForgotPasswordController</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/Auth/RegisterController.php.html#11">App\Http\Controllers\Auth\RegisterController</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/Auth/ResetPasswordController.php.html#8">App\Http\Controllers\Auth\ResetPasswordController</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/Auth/VerificationController.php.html#8">App\Http\Controllers\Auth\VerificationController</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Middleware/Authenticate.php.html#7">App\Http\Middleware\Authenticate</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Middleware/CanPurchaseAddOn.php.html#8">App\Http\Middleware\CanPurchaseAddOn</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Middleware/TrustHosts.php.html#7">App\Http\Middleware\TrustHosts</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Requests/CreateAddOnRequest.php.html#8">App\Http\Requests\CreateAddOnRequest</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Requests/CreateInvoiceRequest.php.html#8">App\Http\Requests\CreateInvoiceRequest</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Requests/CreateOrderRequest.php.html#7">App\Http\Requests\CreateOrderRequest</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/InvoiceController.php.html#8">App\Http\Controllers\InvoiceController</a></td><td class="text-right">16%</td></tr>
       <tr><td><a href="Controllers/OrderController.php.html#25">App\Http\Controllers\OrderController</a></td><td class="text-right">44%</td></tr>
       <tr><td><a href="Controllers/UsersController.php.html#9">App\Http\Controllers\UsersController</a></td><td class="text-right">62%</td></tr>
       <tr><td><a href="Controllers/DashboardController.php.html#8">App\Http\Controllers\DashboardController</a></td><td class="text-right">77%</td></tr>
       <tr><td><a href="Middleware/RedirectIfAuthenticated.php.html#10">App\Http\Middleware\RedirectIfAuthenticated</a></td><td class="text-right">80%</td></tr>
       <tr><td><a href="Controllers/VideosController.php.html#9">App\Http\Controllers\VideosController</a></td><td class="text-right">87%</td></tr>

       </tbody>
      </table>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Project Risks</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Class</th>
         <th class="text-right"><abbr title="Change Risk Anti-Patterns (CRAP) Index">CRAP</abbr></th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="Controllers/AddOnController.php.html#9">App\Http\Controllers\AddOnController</a></td><td class="text-right">30</td></tr>
       <tr><td><a href="Controllers/OrderController.php.html#25">App\Http\Controllers\OrderController</a></td><td class="text-right">12</td></tr>
       <tr><td><a href="Middleware/Authenticate.php.html#7">App\Http\Middleware\Authenticate</a></td><td class="text-right">6</td></tr>
       <tr><td><a href="Middleware/CanPurchaseAddOn.php.html#8">App\Http\Middleware\CanPurchaseAddOn</a></td><td class="text-right">6</td></tr>
       <tr><td><a href="Middleware/RedirectIfAuthenticated.php.html#10">App\Http\Middleware\RedirectIfAuthenticated</a></td><td class="text-right">4</td></tr>
       <tr><td><a href="Controllers/DashboardController.php.html#8">App\Http\Controllers\DashboardController</a></td><td class="text-right">2</td></tr>
       <tr><td><a href="Controllers/VideosController.php.html#9">App\Http\Controllers\VideosController</a></td><td class="text-right">2</td></tr>

       </tbody>
      </table>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-12">
     <h2>Methods</h2>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Coverage Distribution</h3>
     <div id="methodCoverageDistribution" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Complexity</h3>
     <div id="methodComplexity" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Insufficient Coverage</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Method</th>
         <th class="text-right">Coverage</th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="Controllers/AddOnController.php.html#19"><abbr title="App\Http\Controllers\AddOnController::index">index</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/AddOnController.php.html#33"><abbr title="App\Http\Controllers\AddOnController::store">store</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/Auth/ForgotPasswordController.php.html#28"><abbr title="App\Http\Controllers\Auth\ForgotPasswordController::__construct">__construct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/Auth/RegisterController.php.html#38"><abbr title="App\Http\Controllers\Auth\RegisterController::__construct">__construct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/Auth/RegisterController.php.html#49"><abbr title="App\Http\Controllers\Auth\RegisterController::validator">validator</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/Auth/RegisterController.php.html#64"><abbr title="App\Http\Controllers\Auth\RegisterController::create">create</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/Auth/ResetPasswordController.php.html#35"><abbr title="App\Http\Controllers\Auth\ResetPasswordController::__construct">__construct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/Auth/VerificationController.php.html#35"><abbr title="App\Http\Controllers\Auth\VerificationController::__construct">__construct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/InvoiceController.php.html#15"><abbr title="App\Http\Controllers\InvoiceController::store">store</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/UsersController.php.html#11"><abbr title="App\Http\Controllers\UsersController::edit">edit</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Middleware/Authenticate.php.html#15"><abbr title="App\Http\Middleware\Authenticate::redirectTo">redirectTo</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Middleware/CanPurchaseAddOn.php.html#17"><abbr title="App\Http\Middleware\CanPurchaseAddOn::handle">handle</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Middleware/TrustHosts.php.html#14"><abbr title="App\Http\Middleware\TrustHosts::hosts">hosts</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Requests/CreateAddOnRequest.php.html#15"><abbr title="App\Http\Requests\CreateAddOnRequest::authorize">authorize</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Requests/CreateAddOnRequest.php.html#25"><abbr title="App\Http\Requests\CreateAddOnRequest::rules">rules</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Requests/CreateAddOnRequest.php.html#38"><abbr title="App\Http\Requests\CreateAddOnRequest::messages">messages</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Requests/CreateInvoiceRequest.php.html#15"><abbr title="App\Http\Requests\CreateInvoiceRequest::authorize">authorize</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Requests/CreateInvoiceRequest.php.html#25"><abbr title="App\Http\Requests\CreateInvoiceRequest::rules">rules</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Requests/CreateOrderRequest.php.html#14"><abbr title="App\Http\Requests\CreateOrderRequest::authorize">authorize</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Requests/CreateOrderRequest.php.html#24"><abbr title="App\Http\Requests\CreateOrderRequest::rules">rules</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Requests/CreateOrderRequest.php.html#38"><abbr title="App\Http\Requests\CreateOrderRequest::messages">messages</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/OrderController.php.html#66"><abbr title="App\Http\Controllers\OrderController::applyCoupon">applyCoupon</abbr></a></td><td class="text-right">20%</td></tr>
       <tr><td><a href="Controllers/OrderController.php.html#36"><abbr title="App\Http\Controllers\OrderController::store">store</abbr></a></td><td class="text-right">46%</td></tr>
       <tr><td><a href="Controllers/DashboardController.php.html#10"><abbr title="App\Http\Controllers\DashboardController::index">index</abbr></a></td><td class="text-right">77%</td></tr>
       <tr><td><a href="Middleware/RedirectIfAuthenticated.php.html#20"><abbr title="App\Http\Middleware\RedirectIfAuthenticated::handle">handle</abbr></a></td><td class="text-right">80%</td></tr>
       <tr><td><a href="Controllers/VideosController.php.html#11"><abbr title="App\Http\Controllers\VideosController::show">show</abbr></a></td><td class="text-right">87%</td></tr>

       </tbody>
      </table>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Project Risks</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Method</th>
         <th class="text-right"><abbr title="Change Risk Anti-Patterns (CRAP) Index">CRAP</abbr></th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="Controllers/AddOnController.php.html#33"><abbr title="App\Http\Controllers\AddOnController::store">store</abbr></a></td><td class="text-right">20</td></tr>
       <tr><td><a href="Controllers/OrderController.php.html#66"><abbr title="App\Http\Controllers\OrderController::applyCoupon">applyCoupon</abbr></a></td><td class="text-right">12</td></tr>
       <tr><td><a href="Middleware/Authenticate.php.html#15"><abbr title="App\Http\Middleware\Authenticate::redirectTo">redirectTo</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="Middleware/CanPurchaseAddOn.php.html#17"><abbr title="App\Http\Middleware\CanPurchaseAddOn::handle">handle</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="Middleware/RedirectIfAuthenticated.php.html#20"><abbr title="App\Http\Middleware\RedirectIfAuthenticated::handle">handle</abbr></a></td><td class="text-right">4</td></tr>
       <tr><td><a href="Controllers/DashboardController.php.html#10"><abbr title="App\Http\Controllers\DashboardController::index">index</abbr></a></td><td class="text-right">2</td></tr>
       <tr><td><a href="Controllers/VideosController.php.html#11"><abbr title="App\Http\Controllers\VideosController::show">show</abbr></a></td><td class="text-right">2</td></tr>

       </tbody>
      </table>
     </div>
    </div>
   </div>
   <footer>
    <hr/>
    <p>
     <small>Generated by <a href="https://github.com/sebastianbergmann/php-code-coverage" target="_top">php-code-coverage 9.2.5</a> using <a href="https://secure.php.net/" target="_top">PHP 8.0.3</a> with <a href="https://xdebug.org/">Xdebug 3.0.3</a> and <a href="https://phpunit.de/">PHPUnit 9.5.2</a> at Wed Apr 7 18:14:41 UTC 2021.</small>
    </p>
   </footer>
  </div>
  <script src="../_js/jquery.min.js" type="text/javascript"></script>
  <script src="../_js/d3.min.js" type="text/javascript"></script>
  <script src="../_js/nv.d3.min.js" type="text/javascript"></script>
  <script type="text/javascript">
$(document).ready(function() {
  nv.addGraph(function() {
    var chart = nv.models.multiBarChart();
    chart.tooltips(false)
      .showControls(false)
      .showLegend(false)
      .reduceXTicks(false)
      .staggerLabels(true)
      .yAxis.tickFormat(d3.format('d'));

    d3.select('#classCoverageDistribution svg')
      .datum(getCoverageDistributionData([11,0,1,0,0,1,0,1,1,2,0,13], "Class Coverage"))
      .transition().duration(500).call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  nv.addGraph(function() {
    var chart = nv.models.multiBarChart();
    chart.tooltips(false)
      .showControls(false)
      .showLegend(false)
      .reduceXTicks(false)
      .staggerLabels(true)
      .yAxis.tickFormat(d3.format('d'));

    d3.select('#methodCoverageDistribution svg')
      .datum(getCoverageDistributionData([21,0,0,1,0,1,0,0,1,2,0,11], "Method Coverage"))
      .transition().duration(500).call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  function getCoverageDistributionData(data, label) {
    var labels = [
      '0%',
      '0-10%',
      '10-20%',
      '20-30%',
      '30-40%',
      '40-50%',
      '50-60%',
      '60-70%',
      '70-80%',
      '80-90%',
      '90-100%',
      '100%'
    ];
    var values = [];
    $.each(labels, function(key) {
      values.push({x: labels[key], y: data[key]});
    });

    return [
      {
        key: label,
        values: values,
        color: "#4572A7"
      }
    ];
  }
  nv.addGraph(function() {
    var chart = nv.models.scatterChart()
      .showDistX(true)
      .showDistY(true)
      .showLegend(false)
      .forceX([0, 100]);
    chart.tooltipContent(function(graph) {
      return '<p>' + graph.point.class + '</p>';
    });

    chart.xAxis.axisLabel('Code Coverage (in percent)');
    chart.yAxis.axisLabel('Cyclomatic Complexity');

    d3.select('#classComplexity svg')
      .datum(getComplexityData([[0,5,"<a href=\"Controllers\/AddOnController.php.html#9\">App\\Http\\Controllers\\AddOnController<\/a>"],[0,1,"<a href=\"Controllers\/Auth\/ForgotPasswordController.php.html#8\">App\\Http\\Controllers\\Auth\\ForgotPasswordController<\/a>"],[100,1,"<a href=\"Controllers\/Auth\/LoginController.php.html#8\">App\\Http\\Controllers\\Auth\\LoginController<\/a>"],[0,3,"<a href=\"Controllers\/Auth\/RegisterController.php.html#11\">App\\Http\\Controllers\\Auth\\RegisterController<\/a>"],[0,1,"<a href=\"Controllers\/Auth\/ResetPasswordController.php.html#8\">App\\Http\\Controllers\\Auth\\ResetPasswordController<\/a>"],[0,1,"<a href=\"Controllers\/Auth\/VerificationController.php.html#8\">App\\Http\\Controllers\\Auth\\VerificationController<\/a>"],[100,0,"<a href=\"Controllers\/Controller.php.html#10\">App\\Http\\Controllers\\Controller<\/a>"],[100,3,"<a href=\"Controllers\/CouponController.php.html#9\">App\\Http\\Controllers\\CouponController<\/a>"],[77.77777777777779,2,"<a href=\"Controllers\/DashboardController.php.html#8\">App\\Http\\Controllers\\DashboardController<\/a>"],[16.666666666666664,2,"<a href=\"Controllers\/InvoiceController.php.html#8\">App\\Http\\Controllers\\InvoiceController<\/a>"],[44.827586206896555,6,"<a href=\"Controllers\/OrderController.php.html#25\">App\\Http\\Controllers\\OrderController<\/a>"],[62.5,2,"<a href=\"Controllers\/UsersController.php.html#9\">App\\Http\\Controllers\\UsersController<\/a>"],[87.5,2,"<a href=\"Controllers\/VideosController.php.html#9\">App\\Http\\Controllers\\VideosController<\/a>"],[100,1,"<a href=\"Controllers\/WatchesController.php.html#8\">App\\Http\\Controllers\\WatchesController<\/a>"],[100,0,"<a href=\"Kernel.php.html#7\">App\\Http\\Kernel<\/a>"],[0,2,"<a href=\"Middleware\/Authenticate.php.html#7\">App\\Http\\Middleware\\Authenticate<\/a>"],[0,2,"<a href=\"Middleware\/CanPurchaseAddOn.php.html#8\">App\\Http\\Middleware\\CanPurchaseAddOn<\/a>"],[100,0,"<a href=\"Middleware\/CheckForMaintenanceMode.php.html#7\">App\\Http\\Middleware\\CheckForMaintenanceMode<\/a>"],[100,0,"<a href=\"Middleware\/EncryptCookies.php.html#7\">App\\Http\\Middleware\\EncryptCookies<\/a>"],[100,0,"<a href=\"Middleware\/PreventRequestsDuringMaintenance.php.html#7\">App\\Http\\Middleware\\PreventRequestsDuringMaintenance<\/a>"],[80,4,"<a href=\"Middleware\/RedirectIfAuthenticated.php.html#10\">App\\Http\\Middleware\\RedirectIfAuthenticated<\/a>"],[100,0,"<a href=\"Middleware\/TrimStrings.php.html#7\">App\\Http\\Middleware\\TrimStrings<\/a>"],[0,1,"<a href=\"Middleware\/TrustHosts.php.html#7\">App\\Http\\Middleware\\TrustHosts<\/a>"],[100,0,"<a href=\"Middleware\/TrustProxies.php.html#8\">App\\Http\\Middleware\\TrustProxies<\/a>"],[100,0,"<a href=\"Middleware\/VerifyCsrfToken.php.html#7\">App\\Http\\Middleware\\VerifyCsrfToken<\/a>"],[0,3,"<a href=\"Requests\/CreateAddOnRequest.php.html#8\">App\\Http\\Requests\\CreateAddOnRequest<\/a>"],[0,2,"<a href=\"Requests\/CreateInvoiceRequest.php.html#8\">App\\Http\\Requests\\CreateInvoiceRequest<\/a>"],[0,3,"<a href=\"Requests\/CreateOrderRequest.php.html#7\">App\\Http\\Requests\\CreateOrderRequest<\/a>"],[100,3,"<a href=\"Requests\/OrderRequest.php.html#7\">App\\Http\\Requests\\OrderRequest<\/a>"],[100,2,"<a href=\"Requests\/UserUpdateRequest.php.html#8\">App\\Http\\Requests\\UserUpdateRequest<\/a>"]], 'Class Complexity'))
      .transition()
      .duration(500)
      .call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  nv.addGraph(function() {
    var chart = nv.models.scatterChart()
      .showDistX(true)
      .showDistY(true)
      .showLegend(false)
      .forceX([0, 100]);
    chart.tooltipContent(function(graph) {
      return '<p>' + graph.point.class + '</p>';
    });

    chart.xAxis.axisLabel('Code Coverage (in percent)');
    chart.yAxis.axisLabel('Method Complexity');

    d3.select('#methodComplexity svg')
      .datum(getComplexityData([[0,1,"<a href=\"Controllers\/AddOnController.php.html#19\">App\\Http\\Controllers\\AddOnController::index<\/a>"],[0,4,"<a href=\"Controllers\/AddOnController.php.html#33\">App\\Http\\Controllers\\AddOnController::store<\/a>"],[0,1,"<a href=\"Controllers\/Auth\/ForgotPasswordController.php.html#28\">App\\Http\\Controllers\\Auth\\ForgotPasswordController::__construct<\/a>"],[100,1,"<a href=\"Controllers\/Auth\/LoginController.php.html#35\">App\\Http\\Controllers\\Auth\\LoginController::__construct<\/a>"],[0,1,"<a href=\"Controllers\/Auth\/RegisterController.php.html#38\">App\\Http\\Controllers\\Auth\\RegisterController::__construct<\/a>"],[0,1,"<a href=\"Controllers\/Auth\/RegisterController.php.html#49\">App\\Http\\Controllers\\Auth\\RegisterController::validator<\/a>"],[0,1,"<a href=\"Controllers\/Auth\/RegisterController.php.html#64\">App\\Http\\Controllers\\Auth\\RegisterController::create<\/a>"],[0,1,"<a href=\"Controllers\/Auth\/ResetPasswordController.php.html#35\">App\\Http\\Controllers\\Auth\\ResetPasswordController::__construct<\/a>"],[0,1,"<a href=\"Controllers\/Auth\/VerificationController.php.html#35\">App\\Http\\Controllers\\Auth\\VerificationController::__construct<\/a>"],[100,3,"<a href=\"Controllers\/CouponController.php.html#11\">App\\Http\\Controllers\\CouponController::show<\/a>"],[77.77777777777779,2,"<a href=\"Controllers\/DashboardController.php.html#10\">App\\Http\\Controllers\\DashboardController::index<\/a>"],[100,1,"<a href=\"Controllers\/InvoiceController.php.html#10\">App\\Http\\Controllers\\InvoiceController::create<\/a>"],[0,1,"<a href=\"Controllers\/InvoiceController.php.html#15\">App\\Http\\Controllers\\InvoiceController::store<\/a>"],[100,1,"<a href=\"Controllers\/OrderController.php.html#27\">App\\Http\\Controllers\\OrderController::index<\/a>"],[46.666666666666664,1,"<a href=\"Controllers\/OrderController.php.html#36\">App\\Http\\Controllers\\OrderController::store<\/a>"],[20,4,"<a href=\"Controllers\/OrderController.php.html#66\">App\\Http\\Controllers\\OrderController::applyCoupon<\/a>"],[0,1,"<a href=\"Controllers\/UsersController.php.html#11\">App\\Http\\Controllers\\UsersController::edit<\/a>"],[100,1,"<a href=\"Controllers\/UsersController.php.html#19\">App\\Http\\Controllers\\UsersController::update<\/a>"],[87.5,2,"<a href=\"Controllers\/VideosController.php.html#11\">App\\Http\\Controllers\\VideosController::show<\/a>"],[100,1,"<a href=\"Controllers\/WatchesController.php.html#16\">App\\Http\\Controllers\\WatchesController::store<\/a>"],[0,2,"<a href=\"Middleware\/Authenticate.php.html#15\">App\\Http\\Middleware\\Authenticate::redirectTo<\/a>"],[0,2,"<a href=\"Middleware\/CanPurchaseAddOn.php.html#17\">App\\Http\\Middleware\\CanPurchaseAddOn::handle<\/a>"],[80,4,"<a href=\"Middleware\/RedirectIfAuthenticated.php.html#20\">App\\Http\\Middleware\\RedirectIfAuthenticated::handle<\/a>"],[0,1,"<a href=\"Middleware\/TrustHosts.php.html#14\">App\\Http\\Middleware\\TrustHosts::hosts<\/a>"],[0,1,"<a href=\"Requests\/CreateAddOnRequest.php.html#15\">App\\Http\\Requests\\CreateAddOnRequest::authorize<\/a>"],[0,1,"<a href=\"Requests\/CreateAddOnRequest.php.html#25\">App\\Http\\Requests\\CreateAddOnRequest::rules<\/a>"],[0,1,"<a href=\"Requests\/CreateAddOnRequest.php.html#38\">App\\Http\\Requests\\CreateAddOnRequest::messages<\/a>"],[0,1,"<a href=\"Requests\/CreateInvoiceRequest.php.html#15\">App\\Http\\Requests\\CreateInvoiceRequest::authorize<\/a>"],[0,1,"<a href=\"Requests\/CreateInvoiceRequest.php.html#25\">App\\Http\\Requests\\CreateInvoiceRequest::rules<\/a>"],[0,1,"<a href=\"Requests\/CreateOrderRequest.php.html#14\">App\\Http\\Requests\\CreateOrderRequest::authorize<\/a>"],[0,1,"<a href=\"Requests\/CreateOrderRequest.php.html#24\">App\\Http\\Requests\\CreateOrderRequest::rules<\/a>"],[0,1,"<a href=\"Requests\/CreateOrderRequest.php.html#38\">App\\Http\\Requests\\CreateOrderRequest::messages<\/a>"],[100,1,"<a href=\"Requests\/OrderRequest.php.html#14\">App\\Http\\Requests\\OrderRequest::authorize<\/a>"],[100,1,"<a href=\"Requests\/OrderRequest.php.html#24\">App\\Http\\Requests\\OrderRequest::rules<\/a>"],[100,1,"<a href=\"Requests\/OrderRequest.php.html#37\">App\\Http\\Requests\\OrderRequest::messages<\/a>"],[100,1,"<a href=\"Requests\/UserUpdateRequest.php.html#15\">App\\Http\\Requests\\UserUpdateRequest::authorize<\/a>"],[100,1,"<a href=\"Requests\/UserUpdateRequest.php.html#25\">App\\Http\\Requests\\UserUpdateRequest::rules<\/a>"]], 'Method Complexity'))
      .transition()
      .duration(500)
      .call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  function getComplexityData(data, label) {
    var values = [];
    $.each(data, function(key) {
      var value = Math.round(data[key][0]*100) / 100;
      values.push({
        x: value,
        y: data[key][1],
        class: data[key][2],
        size: 0.05,
        shape: 'diamond'
      });
    });

    return [
      {
        key: label,
        values: values,
        color: "#4572A7"
      }
    ];
  }
});
  </script>
 </body>
</html>
